// OpenCV2.2 headers
#include "opencv/highgui.h"

int main(int argc, char* argv[])
{
	// Ouverture de la webcam numéro 0 (1ère webcam trouvée).
	CvCapture* webcam0 = cvCaptureFromCAM(0);

	// Récupération d'une image de la webcam.
	IplImage* image = cvQueryFrame(webcam0);

	// Création d'une fenêtre.
	cvNamedWindow("Fenêtre");

	// Affichage de l'image courante de la webcam.
	cvShowImage("Fenêtre", image);

	// Attend que l'utilisateur appuye sur une touche.
	cvWaitKey(0);

	// Libération de la mémoire utilisée pour la webcam.
	cvReleaseCapture(&webcam0);

	// Destruction de la fenêtre.
	cvDestroyWindow("Fenêtre");

	return 0;
}
